-- Copyright 2007 Gas Powered Games - All rights reserved
-- 
-- Author: Recon, Aralez
-- 
-- Description:
--     Mod to smallest buildtime and costs 
-- 


--this function is called already in game. This gives us a hook to screw the
--blueprint values for the units 
do
local oldModBlueprints = ModBlueprints

function ModBlueprints(all_bps)
   oldModBlueprints(all_bps)

    local ReconScale = 0.5
   
    --loop through the blueprints and adjust as desired.
    for id,bp in all_bps.Unit do
        if bp.Economy.BuildTime then
           bp.Economy.BuildTime = bp.Economy.BuildTime * ReconScale
        end
        if bp.Economy.BuildCostEnergy then
           bp.Economy.BuildCostEnergy = bp.Economy.BuildCostEnergy * ReconScale
        end
        if bp.Economy.BuildCostMass then
           bp.Economy.BuildCostMass = bp.Economy.BuildCostMass * ReconScale
        end
        if bp.Enhancements then
            for k,v in pairs(bp.Enhancements) do
                if bp.Enhancements[k].BuildCostMass then
                    bp.Enhancements[k].BuildCostMass = bp.Enhancements[k].BuildCostMass * ReconScale
                end
                if bp.Enhancements[k].BuildCostEnergy then
                    bp.Enhancements[k].BuildCostEnergy = bp.Enhancements[k].BuildCostEnergy * ReconScale
                end
                if bp.Enhancements[k].BuildTime then
                    bp.Enhancements[k].BuildTime = bp.Enhancements[k].BuildTime * ReconScale
                end
            end
        end
    end
    for id,bp in pairs(all_bps.Projectile) do
        if bp.Economy.BuildCostMass then
            bp.Economy.BuildCostMass = bp.Economy.BuildCostMass * ReconScale
        end
        if bp.Economy.BuildCostEnergy then
            bp.Economy.BuildCostEnergy = bp.Economy.BuildCostEnergy * ReconScale
        end
        if bp.Economy.BuildTime then
            bp.Economy.BuildTime = bp.Economy.BuildTime * ReconScale
        end
    end
end
end 